Records
Bulk Delete Records
Permanently delete up to 100 records in a single request.
DELETE
/
bases
/
{databaseId}
/
tables
/
{tableId}
/
records
/
bulk
Bulk delete records
curl --request DELETE \
--url https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIds": [
"d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb",
"5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e"
]
}
'import requests
url = "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk"
payload = { "recordIds": ["d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb", "5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recordIds: ['d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb', '5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e']
})
};
fetch('https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'recordIds' => [
'd4b3c2a3-c46b-46a1-a8ec-81b664bb41cb',
'5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk"
payload := strings.NewReader("{\n \"recordIds\": [\n \"d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb\",\n \"5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"recordIds\": [\n \"d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb\",\n \"5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"recordIds\": [\n \"d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb\",\n \"5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"deletedCount": 2
}This action cannot be undone.
Record IDs that do not exist are skipped rather than causing the request to fail, so
deletedCount in the response can be lower than the number of IDs you sent.{
"recordIds": [
"d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb",
"5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e"
]
}
Path Parameters
Body
application/json
⌘I
Bulk delete records
curl --request DELETE \
--url https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIds": [
"d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb",
"5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e"
]
}
'import requests
url = "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk"
payload = { "recordIds": ["d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb", "5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recordIds: ['d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb', '5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e']
})
};
fetch('https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'recordIds' => [
'd4b3c2a3-c46b-46a1-a8ec-81b664bb41cb',
'5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk"
payload := strings.NewReader("{\n \"recordIds\": [\n \"d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb\",\n \"5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"recordIds\": [\n \"d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb\",\n \"5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"recordIds\": [\n \"d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb\",\n \"5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"deletedCount": 2
}